#
# spec file for package grep (Version 2.5.1a)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           grep
BuildRequires:  pcre-devel
URL:            http://www.gnu.org/software/grep/
License:        GPL
Group:          Productivity/Text/Utilities
Provides:       base:/usr/bin/grep
Autoreqprov:    on
PreReq:         %{install_info_prereq}
Version:        2.5.1a
Release:        20.2
Summary:        Print lines matching a pattern
Source:         grep-%{version}.tar.bz2
Patch:          grep-%{version}.diff
Patch1:         pcre-static.patch
Patch2:         grep-2.5.1a-i18n-0.3.patch
Patch3:         grep-2.5.1-conf.patch
Patch4:         grep-i18n-speedup.diff
Patch5:         grep-2.5.1-bracket.patch
Patch6:         grep-2.5.1-nb.patch
Patch7:         wordmatch.patch
Patch8:         grep-manpage-err.diff
Patch9:         grep-2.5.1a-mbcset.diff
Patch10:        skip-devices.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU grep, the "fastest grep in the west" (hopefully).

`grep' searches for lines matching a pattern.



Authors:
--------
    Alain Magloire        <alainm@rcsm.ece.mcgill.ca>
    Aharon Robbins        <arnold@gnu.org>
    David J MacKenzie     <djm@catapult.va.pubnix.com>
    Karl Berry            <karl@cs.umb.edu>
    Ulrich Drepper        <drepper@cygnus.com>

%debug_package
%prep
%setup
%patch
%patch1
%patch2 -p1
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
rename no nb po/no.*

%build
%{suse_update_config -f}
rm -f m4/header.m4 m4/init.m4 m4/install.m4 m4/largefile.m4 m4/missing.m4 m4/sanity.m4
autoreconf --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
./configure CFLAGS="$RPM_OPT_FLAGS" \
	    --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} \
	    --bindir=/bin --build=%{_target_cpu}-suse-linux
make
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
ln -sf ../../bin/egrep $RPM_BUILD_ROOT/usr/bin/egrep
ln -sf ../../bin/fgrep $RPM_BUILD_ROOT/usr/bin/fgrep
ln -sf ../../bin/grep  $RPM_BUILD_ROOT/usr/bin/grep

%post
%install_info --info-dir=%{_infodir} %{_infodir}/grep.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/grep.info.gz

%files
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS COPYING NEWS THANKS TODO
/bin/egrep
/bin/fgrep
/bin/grep
/usr/bin/egrep
/usr/bin/fgrep
/usr/bin/grep
%doc %{_mandir}/man1/egrep.1.gz
%doc %{_mandir}/man1/fgrep.1.gz
%doc %{_mandir}/man1/grep.1.gz
%doc %{_infodir}/grep*.gz
/usr/share/locale/*/LC_MESSAGES/grep.mo

%changelog -n grep
* Wed Mar 15 2006 - schwab@suse.de
- Don't block on opening a pipe when devices are supposed to be skipped
  [#149660].
* Wed Feb 08 2006 - schwab@suse.de
- Fix dfa generation of interval expressions [#148453].
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - agruen@suse.de
- Fix a formatting error in the man page.
* Sat Mar 12 2005 - schwab@suse.de
- Fix word matching.
* Mon Nov 22 2004 - schwab@suse.de
- Update to grep 2.5.1a.
* Wed Oct 20 2004 - ro@suse.de
- locale rename: no -> nb
* Thu Sep 23 2004 - schwab@suse.de
- Better fix for last change [#45689].
* Wed Mar 17 2004 - schwab@suse.de
- Fix dangling pointer [#36172].
* Wed Mar 03 2004 - schwab@suse.de
- Update from CVS.
* Thu Feb 19 2004 - kukuk@suse.de
- Cleanup neededforbuild
* Tue Feb 10 2004 - schwab@suse.de
- Fix configure test for strerror [#34231].
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
- let rpm strip
* Fri Jul 25 2003 - schwab@suse.de
- Fix parsing of bracket expressions.
* Mon Jul 21 2003 - schwab@suse.de
- Fix use of pointer after free.
* Fri Jun 20 2003 - ro@suse.de
- build with current gettext
* Wed Apr 30 2003 - schwab@suse.de
- Add i18n speedup patch from Takashi.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 07 2003 - schwab@suse.de
- Only delete info entries when removing last version.
* Wed Feb 12 2003 - schwab@suse.de
- Disable huge backref test for now.
* Thu Feb 06 2003 - schwab@suse.de
- Use %%install_info.
* Mon Nov 18 2002 - schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Thu Aug 15 2002 - schwab@suse.de
- Add i18n patches.
* Wed Apr 03 2002 - schwab@suse.de
- Link -lpcre statically.
* Wed Apr 03 2002 - schwab@suse.de
- Update to grep 2.5.1.
  * Includes support for Perl regexps.
* Wed Apr 03 2002 - ro@suse.de
- build with current autoconf/automake
* Tue Feb 05 2002 - schwab@suse.de
- Don't replace autoconf macros from gettext.
* Mon Jan 28 2002 - schwab@suse.de
- Add i18n patch.
* Tue Sep 04 2001 - schwab@suse.de
- Update to grep 2.4.2:
- New option --binary-files
- Final newline silently provided.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Mar 07 2001 - schwab@suse.de
- Split from base.
